Parameters
chainId
string
default: "sui"
required
Unique identifier for a blockchain network.
Request identifier used to match responses.
jsonrpc
string
default: "2.0"
required
JSON-RPC version.
method
string
default: "sui_tryGetPastObject"
required
JSON-RPC method name.
Retrieve object data at a specific version (if retained by the node). Positional parameters for sui_tryGetPastObject: params[0]: Object ID in hex format.params[1]: The version of the object to retrieve.params[2]: Options for customizing the object response fields.
Returns
Response for a past object retrieval attempt. Status of the request. Possible values: “VersionFound”, “VersionNotFound”, etc.
Object data at the specified version, present if status is VersionFound. Owner information of the object.
The digest of the last transaction that mutated this object.
The amount of SUI to rebate if this object is deleted.
The actual content stored in the object.
curl --request POST \
--url https://api.uniblock.dev/uni/v1/json-rpc?chainId=sui \
--header 'content-type: application/json' \
--data '{
"id": 1,
"jsonrpc": "2.0",
"method": "sui_tryGetPastObject",
"params": [
"0x11af4b844ff94b3fbef6e36b518da3ad4c5856fa686464524a876b463d129760",
4,
{
"showType": true,
"showOwner": true,
"showPreviousTransaction": true,
"showDisplay": false,
"showContent": true,
"showBcs": false,
"showStorageRebate": true
}
]
}'
{
"jsonrpc" : "2.0" ,
"id" : 1 ,
"result" : {}
}